Agendar tarefas para execução regular

O Programador de tarefas é uma ferramenta que lhe permite agendar programas (tais como o Desfragmentador de disco) e outros utilitários para serem executados regularmente, conforme as necessidades do utilizador. O Programador de tarefas é iniciado sempre que o Windows é iniciado e é executado em segundo plano.

Quando o Programador de tarefas está em execução, este ícone imagem: o ícone de tarefas agendadas aparece junto do relógio na barra de tarefas. Pode clicar duas vezes no ícone para abrir o Programador de tarefas.

Abrir o Programador de tarefas permite-lhe:

  • Agendar uma tarefa para execução diária, semanal, mensal ou em determinadas alturas, tais como quando o computador é iniciado ou fica inactivo.
  • Alterar a agendagem ou desactivar uma tarefa existente.
  • Personalizar a forma como uma tarefa será executada na hora agendada.

Nota

  • Também pode abrir o Programador de tarefas clicando em Iniciar, apontando para Programas, apontando para Acessórios, apontando para Ferramentas do sistema e, em seguida, clicando em Tarefas agendadas.


Agendar uma nova tarefa

Para agendar uma nova tarefa

  1. Se ainda não estiver aberta, abra a pasta Tarefas agendadas clicando duas vezes na imagem: o ícone de tarefas agendadas na barra de tarefas.
  2. Clique duas vezes na pasta Adicionar tarefa agendada.
  3. Siga as instruções apresentadas no Assistente de tarefas agendadas.

    4. Se pretender especificar definições avançadas para a tarefa (tal como defini-la para ser executada repetidamente cada vez que é executada), seleccione a caixa de verificação Abrir as propriedades avançadas desta tarefa quando clicar em 'Concluir' no último ecrã do assistente.

Notas

  • Se o programa da tarefa necessitar de parâmetros, seleccione a caixa de verificação Abrir as propriedades avançadas desta tarefa quando clicar em 'Concluir' no último ecrã do assistente, clique em Concluir, clique no separador Tarefa e escreva-os na caixa Executar, a seguir ao caminho da tarefa.
  • Uma tarefa agendada será executada quer um utilizador tenha ou não iniciado sessão no Windows, desde que o seu computador esteja ligado. Se pretender que não sejam executadas tarefas quando um utilizador não tem sessão iniciada, abra a pasta Tarefas agendadas antes de terminar sessão, clique no menu Avançadas e, em seguida, clique em Parar de utilizar o 'Programador de tarefas'. Para retomar a utilização do Programador de tarefas depois de ter iniciado novamente sessão, abra a pasta Tarefas agendadas, clique no menu Avançadas e, em seguida, clique em Começar a utilizar o 'Programador de tarefas'.
  • Certifique-se de que a data e hora do sistema estão exactas. O Programador de tarefas baseia-se nestas informações para saber quando executar as tarefas agendadas. Para verificar ou alterar a data e hora, clique duas vezes na hora na barra de tarefas.

Tópicos relacionados


Modificar uma tarefa agendada

Para modificar uma tarefa agendada

  1. Se ainda não estiver aberta, abra a pasta Tarefas agendadas clicando duas vezes na imagem: o ícone de tarefas agendadas na barra de tarefas.
  2. Clique com o botão direito do rato na tarefa que pretende modificar e, em seguida, clique em Propriedades.
    • Para alterar o programa que pretende executar, na caixa Executar, escreva o caminho da tarefa ou clique em Procurar.
    • Para alterar o agendamento da tarefa, clique no separador Agenda.
    • Para personalizar as definições da tarefa, clique no separador Definições.

Notas

  • Se o programa da tarefa necessitar de parâmetros, especifique-os na caixa Executar, a seguir ao caminho da tarefa.
  • Se o caminho para o programa da tarefa incluir espaços, coloque todo o caminho da tarefa entre aspas (“).


Remover uma tarefa agendada

Para remover uma tarefa agendada

  1. Se ainda não estiver aberta, abra a pasta Tarefas agendadas clicando duas vezes na imagem: o ícone de tarefas agendadas na barra de tarefas.
  2. Clique com o botão direito do rato na tarefa que pretende remover e, em seguida, clique em Eliminar.

Nota

  • A acção de uma tarefa agendada elimina apenas a tarefa da pasta Tarefas agendadas. O ficheiro de programa associado à tarefa não é removido do computador.


Parar uma tarefa agendada que está actualmente em execução

Para parar uma tarefa agendada actualmente em execução

  1. Se ainda não estiver aberta, abra a pasta Tarefas agendadas clicando duas vezes na imagem: o ícone de tarefas agendadas na barra de tarefas.
  2. Clique com o botão direito do rato na tarefa que pretende parar e, em seguida, clique em Terminar tarefa.

Notas

  • Se uma tarefa agendada iniciar outro programa, este comando pára apenas a tarefa agendada original e não a segunda tarefa.
  • Para reiniciar uma tarefa, clique com o botão direito do rato na mesma e, em seguida, clique em Executar.
  • Uma tarefa agendada será executada quer um utilizador tenha ou não iniciado sessão no Windows, desde que o computador esteja ligado. Se pretender que não sejam executadas tarefas quando um utilizador não tem sessão iniciada, abra a pasta Tarefas agendadas antes de terminar sessão, clique no menu Avançadas e, em seguida, clique em Parar de utilizar o 'Programador de tarefas'. Para retomar a utilização do Programador de tarefas depois de ter iniciado novamente sessão, abra a pasta Tarefas agendadas, clique no menu Avançadas e, em seguida, clique em Começar a utilizar o 'Programador de tarefas'.


Executar uma tarefa imediatamente

Para executar uma tarefa imediatamente

  1. Se ainda não estiver aberta, abra a pasta Tarefas agendadas clicando duas vezes na imagem: o ícone de tarefas agendadas na barra de tarefas.
  2. Clique com o botão direito do rato na tarefa que pretende iniciar e, em seguida, clique em Executar.

Notas

  • Pode terminar a tarefa clicando no menu Ficheiro e, em seguida, clicando em Terminar tarefa agendada.
  • Se uma tarefa devia ter sido executada e não o foi, verifique o registo para saber qual a razão. No menu Avançadas, clique em Ver registo.


Ver um registo de tarefas agendadas antigas

Para ver um registo de tarefas agendadas antigas

  1. Se ainda não estiver aberta, abra a pasta Tarefas agendadas clicando duas vezes na imagem: o ícone de tarefas agendadas na barra de tarefas.
  2. No menu Avançadas, clique em Ver registo.


Ver tarefas agendadas num computador remoto

Para ver tarefas agendadas num computador remoto

  1. Clique duas vezes no ícone Os meus locais na rede.
  2. Clique duas vezes no computador no qual pretende visualizar as tarefas agendadas.
  3. Clique duas vezes na pasta Tarefas agendadas.

Nota

  • Pode apenas editar tarefas num computador remoto se esse computador remoto tiver software de registo remoto instalado e partilhar a partilha x$, em que x é a unidade de disco rígido onde reside a pasta Tarefas agendadas. O computador tem também que listar especificamente a conta de utilizador como tendo acesso a registo remoto. Pode especificar quais os utilizadores que têm acesso a registo remoto a um computador clicando duas vezes no ícone Palavras-passe no Painel de controlo.


Desactivar temporariamente todas as tarefas agendadas

Para desactivar temporariamente todas as tarefas agendadas

  1. Se ainda não estiver aberta, abra a pasta Tarefas agendadas clicando duas vezes na imagem: o ícone de tarefas agendadas na barra de tarefas.
  2. No menu Avançadas, clique em Interromper o 'Programador de tarefas'.

    Isto é útil se estiver a executar outro programa (tal como um jogo) ou a instalar software e não pretender executar tarefas ao mesmo tempo.

Notas

  • Quando o Programador de tarefas estiver parado, o ícone do Programador de tarefas na barra de tarefas tem o seguinte aspecto: imagem: o ícone de tarefa agendada tem um 'x' no mesmo.
  • As tarefas que deveriam ter sido executadas enquanto o Programador de tarefas está parado só o serão na hora agendada seguinte.
  • Para retomar as agendas de todas as tarefas, clique no menu Avançadas e, em seguida, clique em Retomar o 'Programador de tarefas'.


Desactivar o Programador de tarefas

Para desactivar o Programador de tarefas

  1. Se ainda não estiver aberta, abra a pasta Tarefas agendadas clicando duas vezes na imagem: o ícone de tarefas agendadas na barra de tarefas.
  2. No menu Avançadas, clique em Parar de utilizar o 'Programador de tarefas'.

Nota

  • Quando o Programador de tarefas é desactivado, as tarefas agendadas não serão executadas e o Programador de tarefas não será iniciado automaticamente da próxima vez que iniciar o Windows.


Resolução de problemas do Programador de tarefas

Se a tarefa agendada não for executada quando é previsto, clique com o botão direito do rato na mesma na lista de tarefas e, em seguida, clique em Propriedades. No separador Tarefa, certifique-se de que a caixa de verificação Activada está seleccionada. No separador Agenda, certifique-se de que a agenda está correctamente definida.

Se o programa de uma tarefa não for executado correctamente, poderá ter que fornecer argumentos de comando para o mesmo. Para mais informação sobre um programa e os respectivos argumentos, tente um dos seguintes procedimentos:

  • Se o programa tiver ajuda online, consulte essa ajuda.
  • Tente escrever o seguinte numa linha de comandos, em que programa é o nome do programa.
    programa /?


Abrir a pasta Tarefas agendadas

Para abrir a pasta Tarefas agendadas

  • Clique em Iniciar, aponte para Programas, aponte para Acessorios, aponte para Ferramentas do sistema e, em seguida, clique em Tarefas agendadas.

Nota

  • Também pode abrir a pasta Tarefas agendadas clicando duas vezes em imagem: o ícone de tarefas agendadas na barra de tarefas.